const app = getApp(),
  {
    globalData: {
      util: {
        regeneratorRuntime,
        api: {
          home
        },
        navigate,
        navigate_native,
        navigate_auth_native,
        request: {
          get
        }
      }
    }
  } = app;
Page({

  /**
   * 页面的初始数据
   */
  data: {

    currentSwiperElegant: 1,
    iconList: [{
      picUrl: '/images/message.png',
      content: '通知公告',
      url: './list/index?type=administrationInfo&title=通知公告'
    },
    {
      picUrl: '/images/video.png',
      content: '媒体科大',
      url: './list/index?type=servicePacesetter&title=媒体科大'
    }, {
      picUrl: '/images/audio.png',
      content: '科大视听',
      url: './list/index?type=administrationInfo&title=科大视听'
    }, {
      picUrl: '/images/wenhua.png',
      content: '校园文化',
      url: './list/index?type=administrationInfo&title=校园文化'
    }
    ],

  },
  async onLoad() {
    let data = await get(home);
    data._err || this.setData(data)
  },
  swiperChangeElegant({
    detail: {
      current: currentSwiperElegant
    }
  }) {
    this.setData({
      currentSwiperElegant
    })
  },

  navigate_native,
  navigate_auth_native
})